statistics-0.13.2.3: A library of statistical types, data, and functions

Safe Haskell | None
Language | Haskell98

Statistics.Test.Types

Synopsis

- data TestType
  - = OneTailed
  - | TwoTailed
- data TestResult
  - = Significant
  - | NotSignificant
- significant :: Bool -> TestResult

# Documentation

data TestType Source

Test type. Exact meaning depends on a specific test. But generally it's tested whether some statistics is too big (small) for `OneTailed` or whether it too big or too small for `TwoTailed`

Constructors

OneTailed |
TwoTailed |

Instances

Eq TestType Source |
Data TestType Source |
Ord TestType Source |
Show TestType Source |
Generic TestType Source |
ToJSON TestType Source |
FromJSON TestType Source |
type Rep TestType Source |

data TestResult Source

Result of hypothesis testing

Constructors

Significant | Null hypothesis should be rejected
NotSignificant | Data is compatible with hypothesis

Instances

Eq TestResult Source |
Data TestResult Source |
Ord TestResult Source |
Show TestResult Source |
Generic TestResult Source |
ToJSON TestResult Source |
FromJSON TestResult Source |
type Rep TestResult Source |

significant :: Bool -> TestResult Source

Significant if parameter is `True`, not significant otherwiser